# Stub_Factory.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/Versioned_Namespace.h"`
`#include "ace/Service_Object.h"`
`#include "ace/CORBA_macros.h"`

Include dependency graph for Stub_Factory.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA

## Classes

class | TAO_Stub_Factory

## Detailed Description

Id
  Stub_Factory.h,v 1.8 2005/11/02 07:13:04 ossama Exp

Defines the a factory interface for creating Stubs. This class creates the default stub, that is used in plain CORBA.

Author:
  Angelo Corsaro <corsaro@cs.wustl.edu>